Bug 1015541 - java.lang.OutOfMemoryError: PermGen space error on Windows with EAP 6.2.0 ER4
Summary: java.lang.OutOfMemoryError: PermGen space error on Windows with EAP 6.2.0 ER4
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Scripts and Commands
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ER5
: EAP 6.2.0
Assignee: Brian Stansberry
QA Contact: Petr Kremensky
Russell Dickenson
URL:
Whiteboard:
Depends On:
Blocks: eap62-beta-blockers
TreeView+ depends on / blocked
 
Reported: 2013-10-04 13:19 UTC by Rostislav Svoboda
Modified: 2013-12-15 16:12 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-12-15 16:12:41 UTC
Type: Bug


Attachments (Terms of Use)

Description Rostislav Svoboda 2013-10-04 13:19:43 UTC
We hit java.lang.OutOfMemoryError: PermGen space error on Windows with EAP 6.2.0 ER4 - it contains change for JVM parameters. BZ 956281 tracks full history for this change.

https://github.com/jbossas/jboss-eap/pull/440/files

-set "JAVA_OPTS=-Xms1303M -Xmx1303M -XX:MaxPermSize=256M"
+set "JAVA_OPTS=-Xms1G -Xmx1G"


java.lang.OutOfMemoryError: PermGen space error happened during JBossWS CXF testsuite execution, server is started by calling standalone.bat without any additional parameters.
We didn't hit this problem with any prior EAP release.

Error example:
08:17:51,499 WARN  [org.jboss.modules] (http-/127.0.0.1:8080-29) Failed to define class com.ctc.wstx.cfg.ErrorConsts in Module "org.codehaus.woodstox:main" from local module loader @15856a5 (finder: local module finder @a084f8 (roots: W:\workspace\eap-6x-jbossws-testsuite-windows\ebd0dbc9\build\jboss-eap-6.2\modules,W:\workspace\eap-6x-jbossws-testsuite-windows\ebd0dbc9\build\jboss-eap-6.2\modules\system\layers\base)): java.lang.OutOfMemoryError: PermGen space

08:17:51,499 ERROR [org.apache.catalina.core.ContainerBase.[jboss.web].[default-host].[/jaxws-jbws1582].[TestService]] (http-/127.0.0.1:8080-29) JBWEB000236: Servlet.service() for servlet TestService threw exception: java.lang.OutOfMemoryError: PermGen space

#
# A fatal error has been detected by the Java Runtime Environment:
#
#  EXCEPTION_ACCESS_VIOLATION (0xc0000005) at pc=0x6d92fbc9, pid=7288, tid=5816
#
# JRE version: 6.0_45-b06
# Java VM: Java HotSpot(TM) Client VM (20.45-b01 mixed mode windows-x86 )
# Problematic frame:
# V  [jvm.dll+0x4fbc9]
#
# An error report file with more information is saved as:
# W:\workspace\eap-6x-jbossws-testsuite-windows\ebd0dbc9\build\stack-cxf\modules\testsuite\hs_err_pid7288.log
#
# If you would like to submit a bug report, please visit:
#   http://java.sun.com/webapps/bugreport/crash.jsp
#

Comment 6 Dimitris Andreadis 2013-10-04 20:12:30 UTC
@Tomaz, spot-on. The WS testsuite should override this.

Comment 8 Rostislav Svoboda 2013-10-07 12:44:56 UTC
Windows 2008, Sun JDK, commit with -XX:MaxPermSize=256M should fix the problem

Comment 11 Petr Sakař 2013-10-09 12:35:31 UTC
verified that EAP 6.2.0.ER5 on windows do not need to preset JAVA_OPTS and jbossws cxf testsuite do not fail because of java.lang.OutOfMemoryError: PermGen space


Note You need to log in before you can comment on or make changes to this bug.